ITPub博客

首页 > Linux操作系统 > Linux操作系统 > 安装oracle报错 /ins_sysman.mk

安装oracle报错 /ins_sysman.mk

原创 Linux操作系统 作者:longqidong 时间:2012-05-18 11:33:04 0 删除 编辑
在linux 5.5 64位上安装oracle 10g,安装今进度到83%是报错:
INFO: make: *** [e2eme] Error 2 

INFO: End output from spawned process. 
INFO: ---------------------------------- 
INFO: Exception thrown from action: make 
Exception Name: MakefileException 
Exception String: Error in invoking target 'agent nmo nmb' of makefile '/oracle/app/product/10.2.0/db_1/sysman/lib/ins_sysman.mk'. See '/oracle/app/oraInventory/logs/installActions2012-05-18-04-56PM.log' for details. 
Exception Severity: 1
是oracle安装时oracle后台编译的编译错误!

解决办法:
确认一下包都安装上,
libgomp-4.4.0-6.el5.x86_64.rpm \ 
kernel-headers-2.6.18-164.el5.x86_64.rpm \ 
glibc-headers-2.5-42.x86_64.rpm \ 
libstdc++-devel-4.1.2-46.el5.x86_64.rpm \ 
sysstat-7.0.2-3.el5.x86_64.rpm \ 
glibc-devel-2.5-42.x86_64.rpm \ 
libaio-devel-0.3.106-3.2.x86_64.rpm \ 
gcc-4.1.2-46.el5.x86_64.rpm \ 
gcc-c++-4.1.2-46.el5.x86_64.rpm \ 
elfutils-libelf-devel-static-0.137-3.el5.x86_64.rpm \ 
elfutils-libelf-devel-0.137-3.el5.x86_64.rpm \ 
libtermcap-devel-2.0.8-46.1.x86_64.rpm \ 
readline-devel-5.1-3.el5.x86_64.rpm \ 
unixODBC-2.2.11-7.1.x86_64.rpm \ 
unixODBC-devel-2.2.11-7.1.x86_64.rpm \ 
glibc-devel-2.5-42.i386.rpm \ 
libaio-devel-0.3.106-3.2.i386.rpm \ 
compat-db-4.2.52-5.1.x86_64.rpm \ 
compat-gcc-34-3.4.6-4.x86_64.rpm \ 
compat-gcc-34-c++-3.4.6-4.x86_64.rpm \ 
gdb-6.8-37.el5.x86_64.rpm \ 
libXp-1.0.0-8.1.el5.i386.rpm \ 
libstdc++-devel-4.1.2-46.el5.i386.rpm
compat-libstdc++-296-2.96-132.7.2.i386.rpm
compat-libstdc++-33-3.2.3-47.3.i386.rpm
64位不仅要安装64位的包,有些还需要安装32位的包。
确认后,需要重启安装界面,再次安装,否则还是会报错。
重启安装界面,问题解决。

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/22418990/viewspace-730127/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2009-08-26

  • 博文量
    94
  • 访问量
    425930